PyGTK Class Hierarchy
Prev |  | Next

## PyGTK Class Hierarchy

    gobject.GBoxed
        gtk.Border
        gtk.IconInfo
        gtk.IconSet
        gtk.IconSource
        gtk.Requisition
        gtk.SelectionData
        gtk.TextAttributes
        gtk.TextIter
        gtk.TreeIter
        gtk.TreeRowReference
        gtk.gdk.Color
        gtk.gdk.Cursor
        gtk.gdk.Event
        gtk.gdk.Rectangle
        pango.AttrList
        pango.Color
        pango.FontDescription
        pango.FontMetrics
        pango.GlyphString
        pango.Language
        pango.LayoutLine
        pango.TabArray
    gobject.GInterface
        gtk.CellEditable
        gtk.CellLayout
        gtk.Editable
        gtk.FileChooser
        gtk.TreeDragDest
        gtk.TreeDragSource
        gtk.TreeModel
        gtk.TreeSortable
    gobject.GObject
        gtk.AccelGroup
        gtk.Action
            gtk.ToggleAction
                gtk.RadioAction
        gtk.ActionGroup
        gtk.Clipboard
        gtk.EntryCompletion (implements gtk.CellLayout)
        gtk.GenericTreeModel (implements gtk.TreeModel)
        gtk.IconFactory
        gtk.IconTheme
        gtk.ListStore (implements gtk.TreeModel, gtk.TreeDragSource, gtk.TreeDragDest, gtk.TreeSortable)
        gtk.Object
            gtk.Adjustment
            gtk.CellRenderer
                gtk.CellRendererPixbuf
                gtk.CellRendererText
                    gtk.CellRendererCombo
                gtk.CellRendererProgress
                gtk.CellRendererToggle
                gtk.GenericCellRenderer
            gtk.FileFilter
            gtk.IMContext
                gtk.IMContextSimple
                gtk.IMMulticontext
            gtk.Tooltips
            gtk.TreeViewColumn (implements gtk.CellLayout)
            gtk.Widget
                gtk.Calendar
                gtk.CellView
                gtk.Container
                    gtk.Bin
                        gtk.Alignment
                        gtk.Button
                            gtk.ColorButton
                            gtk.FontButton
                            gtk.ToggleButton
                                gtk.CheckButton
                                    gtk.RadioButton
                        gtk.ComboBox (implements gtk.CellLayout)
                            gtk.ComboBoxEntry (implements gtk.CellLayout)
                        gtk.EventBox
                        gtk.Expander
                        gtk.Frame
                            gtk.AspectFrame
                        gtk.HandleBox
                        gtk.Item
                            gtk.MenuItem
                                gtk.CheckMenuItem
                                    gtk.RadioMenuItem
                                gtk.ImageMenuItem
                                gtk.SeparatorMenuItem
                                gtk.TearoffMenuItem
                        gtk.ScrolledWindow
                        gtk.ToolItem
                            gtk.SeparatorToolItem
                            gtk.ToolButton
                                gtk.MenuToolButton
                                gtk.ToggleToolButton
                                    gtk.RadioToolButton
                        gtk.Viewport
                        gtk.Window
                            gtk.Dialog
                                gtk.AboutDialog
                                gtk.ColorSelectionDialog
                                gtk.FileChooserDialog (implements gtk.FileChooser)
                                gtk.FileSelection
                                gtk.FontSelectionDialog
                                gtk.InputDialog
                                gtk.MessageDialog
                            gtk.Plug
                    gtk.Box
                        gtk.ButtonBox
                            gtk.HButtonBox
                            gtk.VButtonBox
                        gtk.HBox
                            gtk.FileChooserButton
                            gtk.Statusbar
                        gtk.VBox
                            gtk.ColorSelection
                            gtk.FileChooserWidget (implements gtk.FileChooser)
                            gtk.FontSelection
                            gtk.GammaCurve
                    gtk.Fixed
                    gtk.IconView
                    gtk.Layout
                    gtk.MenuShell
                        gtk.Menu
                        gtk.MenuBar
                    gtk.Notebook
                    gtk.Paned
                        gtk.HPaned
                        gtk.VPaned
                    gtk.Socket
                    gtk.Table
                    gtk.TextView
                    gtk.Toolbar
                    gtk.TreeView
                gtk.DrawingArea
                    gtk.Curve
                gtk.Entry (implements gtk.Editable, gtk.CellEditable)
                    gtk.SpinButton
                gtk.Invisible
                gtk.Misc
                    gtk.Arrow
                    gtk.Image
                    gtk.Label
                        gtk.AccelLabel
                    gtk.ProgressBar
                gtk.Range
                    gtk.Scale
                        gtk.HScale
                        gtk.VScale
                    gtk.Scrollbar
                        gtk.HScrollbar
                        gtk.VScrollbar
                gtk.Ruler
                    gtk.HRuler
                    gtk.VRuler
                gtk.Separator
                    gtk.HSeparator
                    gtk.VSeparator
        gtk.RcStyle
        gtk.Settings
        gtk.SizeGroup
        gtk.Style
        gtk.TextBuffer
        gtk.TextChildAnchor
        gtk.TextMark
        gtk.TextTag
        gtk.TextTagTable
        gtk.TreeModelFilter (implements gtk.TreeModel, gtk.TreeDragSource)
        gtk.TreeModelSort (implements gtk.TreeModel, gtk.TreeSortable)
        gtk.TreeSelection
        gtk.TreeStore (implements gtk.TreeModel, gtk.TreeDragSource, gtk.TreeDragDest, gtk.TreeSortable)
        gtk.UIManager
        gtk.WindowGroup
        gtk.gdk.Colormap
        gtk.gdk.Device
        gtk.gdk.Display
        gtk.gdk.DisplayManager
        gtk.gdk.DragContext
        gtk.gdk.Drawable
            gtk.gdk.Pixmap
            gtk.gdk.Window
        gtk.gdk.GC
        gtk.gdk.Image
        gtk.gdk.Keymap
        gtk.gdk.Pixbuf
        gtk.gdk.PixbufAnimation
        gtk.gdk.PixbufAnimationIter
        gtk.gdk.PixbufLoader
        gtk.gdk.Screen
        gtk.gdk.Visual
        pango.Context
        pango.Font
        pango.FontFace
        pango.FontFamily
        pango.FontMap
            pangocairo.CairoFontMap
        pango.Fontset
            pango.FontsetSimple
        pango.Layout
        pango.Renderer
            gtk.gdk.PangoRenderer
    gobject.GPointer
    cairo.Context
        pangocairo.CairoContext
            gtk.gdk.CairoContext

Prev |  | Next
Reference Page Format | Home | The atk Class Reference